Bug 146256 - Can't start eclipse-3.0.1_fc-8 ide.
Can't start eclipse-3.0.1_fc-8 ide.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Tromey
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 10:07 EST by sangu
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: eclipse-3.0.1_fc-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 22:57:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log file (13.87 KB, text/plain)
2005-01-26 10:07 EST, sangu
no flags Details
eclipse log (7.60 KB, text/plain)
2005-01-26 14:58 EST, Colin Walters
no flags Details

  None (edit)
Description sangu 2005-01-26 10:07:12 EST
Created attachment 110245 [details]
log file
Comment 1 sangu 2005-01-26 10:07:12 EST
Description of problem:
$eclipse
Warning: -Xms64M not understood. Ignoring.
Warning: -Xmx256M not understood. Ignoring.

in error dialog.

An error has occurred.  See the log file
/home/sangu/.eclipse/org.eclipse.platform_3.0.1/configuration/1106751850381.log

Version-Release number of selected component (if applicable):
eclipse-3.0.1_fc-8

How reproducible:
always

Steps to Reproduce:
1. Excute eclipse
2.
3.
  
Actual results:


Expected results:


Additional info:
gcc4-java-4.0.0-0.22.
Comment 2 Andrew Overholt 2005-01-26 13:40:27 EST
Can you please give me the output of the following commands:

cat `which eclipse`
rpm -q libgcj4-devel
/usr/sbin/update-alternatives --display java
/usr/sbin/update-alternatives --display javac

Thanks.
Comment 3 Andrew Overholt 2005-01-26 13:52:20 EST
I think this is because the xml stuff needs to be re-compiled with the
latest gcj4.  I'll rebuild.
Comment 4 Andrew Overholt 2005-01-26 13:54:47 EST
If you want something in the meantime, you could:

# yum --enablerepo=development install xerces-j2 xalan-j2 \
xml-commons-apis
$ gcj4 -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic -o \
xml-commons-apis-1.0.jar.so /usr/share/java/xml-commons-apis-1.0.jar
$ gcj4 -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic -o \
xerces-j2-2.6.2.jar.so /usr/share/java/xerces-j2-2.6.2.jar
$ gcj4 -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic -o \
xalan-j2-2.6.0.jar.so /usr/share/java/xalan-j2-2.6.0.jar
# mv x*.jar.so /usr/lib/eclipse
Comment 5 Colin Walters 2005-01-26 14:58:46 EST
Created attachment 110268 [details]
eclipse log

I followed the instructions above and now I see the splash screen, but I still
get a crash.
Comment 6 Colin Walters 2005-01-26 15:40:28 EST
My apologies, I didn't have xalan installed.  It does indeed work now
for me.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.